summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-apps/sparc-utils
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-apps/sparc-utils')
-rw-r--r--sys-apps/sparc-utils/Manifest2
-rw-r--r--sys-apps/sparc-utils/files/audioctl.init23
-rw-r--r--sys-apps/sparc-utils/metadata.xml13
-rw-r--r--sys-apps/sparc-utils/sparc-utils-1.9-r4.ebuild76
4 files changed, 114 insertions, 0 deletions
diff --git a/sys-apps/sparc-utils/Manifest b/sys-apps/sparc-utils/Manifest
new file mode 100644
index 00000000000..1165d09aad3
--- /dev/null
+++ b/sys-apps/sparc-utils/Manifest
@@ -0,0 +1,2 @@
+DIST sparc-utils_1.9-3.diff.gz 10337 RMD160 5703203291f2ff607366064b098646d08e40b873 SHA1 3f0788d2ef2b42a57ca4c80b03a5b04c16b1a5f0 SHA256 f4ffae1a89fc816689da1ad2b50e776bbc079cf2212a0e539949e8a04c5ed983
+DIST sparc-utils_1.9.orig.tar.gz 110080 RMD160 9827d9ff7cb4f06d4fb3709593e341e6a3b71a2e SHA1 5dc670e0849b89a2c4c46783528133d46e03ec4b SHA256 b652bc27f95dcf10a7626b1d2943a1084e1e0b7f9bd3a97f9a46b6688370fe4b
diff --git a/sys-apps/sparc-utils/files/audioctl.init b/sys-apps/sparc-utils/files/audioctl.init
new file mode 100644
index 00000000000..6aa1871aca9
--- /dev/null
+++ b/sys-apps/sparc-utils/files/audioctl.init
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+checkconfig() {
+ if [ -z "${PARAMS}" ]
+ then
+ eerror "Please make sure that /etc/conf.d/audioctl has \$PARAMS set"
+ return 1
+ fi
+}
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting audioctl"
+ if [ -n "${DEVICE}" ]; then
+ /usr/bin/audioctl -f ${DEVICE} -nw ${PARAMS}
+ else
+ /usr/bin/audioctl -nw ${PARAMS}
+ fi
+ eend $?
+}
diff --git a/sys-apps/sparc-utils/metadata.xml b/sys-apps/sparc-utils/metadata.xml
new file mode 100644
index 00000000000..3c434d165f0
--- /dev/null
+++ b/sys-apps/sparc-utils/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sparc</herd>
+<maintainer>
+ <email>sparc@gentoo.org</email>
+ <name>Sparc Team</name>
+</maintainer>
+<longdescription>
+sparc-utils is a set of utilities from Debian GNU/Linux that includes;
+audioctl, elftoaout, piggyback, piggyback64, prtconf, and eeprom.
+</longdescription>
+</pkgmetadata>
diff --git a/sys-apps/sparc-utils/sparc-utils-1.9-r4.ebuild b/sys-apps/sparc-utils/sparc-utils-1.9-r4.ebuild
new file mode 100644
index 00000000000..5b50f6951d8
--- /dev/null
+++ b/sys-apps/sparc-utils/sparc-utils-1.9-r4.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Various sparc utilities from Debian GNU/Linux"
+HOMEPAGE="http://packages.debian.org/sparc-utils"
+SRC_URI="mirror://debian/pool/main/s/${PN}/${PN}_${PV}.orig.tar.gz
+ mirror://debian/pool/main/s/${PN}/${PN}_${PV}-3.diff.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="-* sparc"
+IUSE=""
+
+DEPEND="virtual/os-headers"
+RDEPEND="|| ( >=sys-apps/util-linux-2.13-r1 sys-apps/setarch )"
+
+S=${WORKDIR}/${P}.orig
+
+# NOTE: If a system has >=sys-kernel/linux-headers-2.6.0, don't build audioctl
+# as the SPARC sound drivers have been replaced by their ALSA equivalents
+
+pkg_setup() {
+ has_version '>=sys-kernel/linux-headers-2.6.0' && \
+ einfo "Linux 2.6 kernel headers detected, not building audioctl"
+}
+
+src_unpack() {
+ unpack ${A}
+ epatch ${WORKDIR}/${PN}_${PV}-3.diff
+ sed -i -e 's:#include <linux/elf.h>:#include <elf.h>:' \
+ ${S}/elftoaout*/elftoaout.c
+}
+
+src_compile() {
+ emake -C elftoaout-2.3 CC="$(tc-getCC)" CFLAGS="${CFLAGS}" || die
+ emake -C src piggyback piggyback64 CC="$(tc-getCC)" CFLAGS="${CFLAGS}" || die
+ emake -C prtconf-1.3 CC="$(tc-getCC)" all || die
+ has_version '>=sys-kernel/linux-headers-2.6.0' || \
+ emake -C audioctl-1.3 CC="$(tc-getCC)" || die
+}
+
+src_install() {
+ # since the debian/piggyback64.1 manpage is a pointer to the
+ # debian/piggyback.1 manpage, copy debian/piggyback.1 to
+ # debian/piggyback64.1
+
+ cp ${S}/debian/piggyback.1 ${S}/debian/piggyback64.1
+
+ dobin elftoaout-2.3/elftoaout || die
+ dobin src/piggyback || die
+ dobin src/piggyback64 || die
+ dosbin prtconf-1.3/prtconf || die
+ dosbin prtconf-1.3/eeprom || die
+
+ if ! has_version '>=sys-kernel/linux-headers-2.6.0'; then
+ dobin audioctl-1.3/audioctl || die
+ newinitd "${FILESDIR}"/audioctl.init audioctl || die
+ newconfd debian/audioctl.def audioctl || die
+ doman audioctl-1.3/audioctl.1
+ fi
+
+ doman elftoaout-2.3/elftoaout.1
+ doman prtconf-1.3/prtconf.8
+ doman prtconf-1.3/eeprom.8
+ doman debian/piggyback.1
+ doman debian/piggyback64.1
+}
+
+pkg_postinst() {
+ ewarn "In order to have /usr/sbin/eeprom, make sure you build /dev/openprom"
+ ewarn "device support (CONFIG_SUN_OPENPROMIO) into the kernel, or as a"
+ ewarn "module (and that the module is loaded)."
+}